<?php

namespace Intergo\InventoryClient;

use Intergo\BaseClient\Client;

class InventoryClient extends Client
{
    protected string $site;

    /**
     * @param $baseUrl
     * @param $traceId
     * @param $site
     */
    public function __construct($baseUrl, $traceId, $site)
    {
        $this->site = $site;
        parent::__construct($baseUrl, $traceId);
    }

    /**
     * @return void
     */
    protected function setApiHandler()
    {
        $this->apiHandler = new InventoryApiHandler();
    }

    /**
     * @param $endpoint
     * @param $urlParams
     * @return string
     */
    protected function getUrl($endpoint, $urlParams)
    {
        return $this->baseUrl . $this->site . $this->apiHandler::getUrl($endpoint, $urlParams);
    }
}